/*
 * npr.h	news pretty printer definitions
 *
 * SCCSID = @(#)npr.h	1.2.1.2 (Mikros) 88/08/24
 */

#ifndef PRODIR			/* where the prologue file may be found */
#ifdef HP
# define PRODIR		"/opt/npr/lib"
#else
# define PRODIR		"/usr/local/lib"
#endif
#endif

#ifndef PRODEF			/* default prologue file */
# define PRODEF		"npr.prologue"
#endif

/* End of user configuration section */

#define BUFLEN	256	/* standard buffer size */
#define LBUFLEN 1024	/* big buffer size */
#define SBUFLEN 32	/* small buffer size (for system names, etc) */

#define PATHLEN 512	/* length of longest source string */
#define DATELEN	64	/* length of longest allowed date string */
#define NAMELEN	128	/* length of longest possible message ID */
#define NETCHRS	"!:@^%,"/* Punct. chars used for various networks */
#define TRUE	1	/* boolean true */
#define FALSE	0	/* boolean false */
#define NGDELIM	','	/* delimit character in news group line */

#define STRCMP(a,b)  ((*(a) != *(b)) ? (*(a)-*(b)) : strcmp((a)+1, (b)+1))
#define STRNCMP(a,b,n)  ((*(a) != *(b)) ? (*(a)-*(b)) : strncmp(a, b, n))
extern char charmap[];
#define PREFIX(a,b)  ((charmap[*(a)] != charmap[*(b)]) ? FALSE : prefix((a)+1, (b)+1))

#define TABSIZE(tab)	(sizeof(tab) / sizeof(tab[0]))

/* Article header format */
struct header {
	char *h_prefix;		/* Field: - prefix */
	char *h_string;		/* string value */
	int  h_display;		/* display/ignore flag */
};

#define HIDE	0		/* do not print this field */
#define MIXED	1		/* normal print */
#define BOLD	2		/* boldface print */

