.TH NPR 1
.\"@(#)npr.1	1.2 (Mikros) 88/08/16
.SH NAME
npr \- news pretty printer (and pipe script)
.SH SYNTAX
.B npr
[\fB-{pP}\fP \fIprolog\fP]
[\fB-i\fP \fIident\fP]
[\fB-h\fP \fItitle\fP]
[\fB-H\fP \fIhlist\fP]
[\fB-f\fP \fIfont\fP]
[\fB-s\fP \fIsize\fP]
[\fIfile ...\fP]
.P
.B nprpipe [\fIfile\fP]  |  npr 
[\fB-{pP}\fP \fIprolog\fP]
[\fB-i\fP \fIident\fP]
[\fB-h\fP \fItitle\fP]
[\fB-H\fP \fIhlist\fP]
[\fB-f\fP \fIfont\fP]
[\fB-s\fP \fIsize\fP] \fB > [file].ps\fP
.P
.SH DESCRIPTION
.B Nprpipe
formats 
.B Xrn 
and 
.B tin 
News Articles for npr. The script pipes only the 
Header Lines that npr can handle by dropping Article, Xref 
(and extra From) lines.  The body is unchanged.
.P
.SH DESCRIPTION
.B Npr
produces PostScript output which can be used to print news articles on
appropriate laser printers.
.B Npr
reads the named files and looks for header lines found in news articles.
There may be one or more files and each file may contain one or more articles.
The headers will be printed separated from the text.
The text itself may be printed in any font and size you like.
.LP
.B Npr
only starts printing articles, if it recognizes correct headers.
Currently the formats of articles saved from a
.I rn(1)
session will be understood by
.B npr
as well as articles directly feeded into
.B npr
via stdin.
.LP
You may supress printing of individual headers by giving the option
.B -H
and a header list.
.SH PARAMETER
.TP 12
\fB-p\fP \fIprolog\fP
Use the file
.I prolog
instead of the standard PostScript prologue file.
Normally, the location for the standard prologue file is
.I /usr/local/lib/npr.prologue
(Your system manager may have changed this default).
Specifying
.B -p
will cause
.B npr
to look in the current directory, while
.B -P
will cause
.B npr
to look in both the current directory and in the directory
where the standard prologue file resides.
.TP 12
\fB-i\fP \fIident\fP
Specifies the indentation from the left margin in inches.
The default indentation is set in the prologue file.
.TP 12
\fB-h\fP \fItitle\fP
Print the string
.I title
instead of the "Subject" line from the article at the top of each page.
If the article does not contain a "Subject" line and this option is not
given, then your login name and the current date will be printed.
.TP 12
\fB-H\fP \fIhlist\fP
Supress or print headers from the
.I headerlist.
The format of the
.I headerlist
may be
.I -field
to supress the given field, and
.I +field
to print the given field (e.g. if it is suppressed by default).
Be sure to quote blanks between two or more fields.
An example for supressing the Path-, Message-ID-, and Approved-fields:
.RS 20
.B -H '-Path: -Message-ID: -Approved:'
.RE
.TP 12
\fB-f\fP \fIfont\fP
Use
.I font
instead of the standard font for printing text.
Normally, the standard font (as defined in the prologue file)
is the monospaced Courier font.
You can specify almost all fonts which are supplied by your
laser printer.
.TP 12
\fB-s\fP \fIsize\fP
Print text in size
.I size
instead of in the standard size defined in the prologue file.
Because
.B npr
does not do any formatting, you can use all available font sizes.
.TP 12
\fIfile\fP
One or more names of the files to be processed.
If a file does not contain valid headers (or \fBnpr\fP does not realize
this headers :-) a warning will be given and the processing of the
remaining files will be continued.
If no file is given,
.B npr
reads the standard input.
.sp
.LP
All the parameters listet above may be given in the environment variable
.B NPROPT.
However, the parameters given in the command line have higher
preceedence than the parameters set in this variable.
.SH FILES
.TP
/usr/local/lib/npr.prologue
PostScript prologue to define required vocabulary for news printing.
.SH AUTHOR
Stefan Stapelberg <stefan@mikros.uucp>
.SH NOTES
In the current (preliminary) version
.B npr
will silently supress unknown headers.
This may be subject of change in the future.
.SH BUGS
Sure.  Use 
.B nprpipe
for 
.B Xrn 
and 
.B tin 
format articles.
